summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2018-07-25 12:53:15 (GMT)
committerChristian Pointner <equinox@spreadspace.org>2018-07-25 12:53:15 (GMT)
commit917250dcca6f9baf46b014512c574921504764f2 (patch)
tree5fc961de8d19aa4def9f7c935e46b9107837b2ae
parente290d433a110d2ed2a7f0446b09057ebf0fadf1c (diff)
added os image for ubuntu/bionic
-rwxr-xr-xbuild-os-images.sh44
-rw-r--r--ubuntu/bionic/Dockerfile29
2 files changed, 73 insertions, 0 deletions
diff --git a/build-os-images.sh b/build-os-images.sh
new file mode 100755
index 0000000..54a10ef
--- /dev/null
+++ b/build-os-images.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+BASE_D="${BASH_SOURCE%/*}"
+
+function run_build {
+ local img_name="$1"
+ local img_name_helsinki="docker.avl.com/$img_name"
+ local build_dir="$2"
+
+ echo -e "\033[1m****************\033[0m"
+ echo -e " \033[1mbuilding: $img_name\033[0m"
+ echo ""
+
+ if [ "$UID" -ne 0 ]; then
+ sudo docker pull "$img_name"
+ else
+ docker pull "$img_name"
+ fi
+ result=$?
+
+ if [ $result -eq 0 ]; then
+ echo ""
+ "$BASE_D/build.sh" "$img_name_helsinki" "$BASE_D/$build_dir"
+ result=$?
+ fi
+
+ echo ""
+ if [ "$result" -ne 0 ]; then
+ echo -e " \033[1;31m*** FAILED ***\033[0m";
+ else
+ echo -e " \033[1;32m*** Success ***\033[0m";
+ fi
+ echo ""
+}
+
+## debian
+for codename in stretch; do
+ run_build "debian:$codename" "debian/$codename"
+done
+
+## ubuntu
+for codename in bionic; do
+ run_build "ubuntu:$codename" "ubuntu/$codename"
+done
diff --git a/ubuntu/bionic/Dockerfile b/ubuntu/bionic/Dockerfile
new file mode 100644
index 0000000..4f4c027
--- /dev/null
+++ b/ubuntu/bionic/Dockerfile
@@ -0,0 +1,29 @@
+FROM ubuntu:bionic
+MAINTAINER Christian Pointner <equinox@helsinki.at>
+
+LABEL at.helsinki.docker.os.distro=ubuntu at.helsinki.docker.os.release=bionic
+
+RUN set -x \
+ && echo 'deb http://apt.helsinki.at/ubuntu/ bionic main universe' > /etc/apt/sources.list \
+ && echo 'deb http://apt.helsinki.at/ubuntu/ bionic-updates main universe' >> /etc/apt/sources.list \
+ && echo 'deb http://apt.helsinki.at/ubuntu-security/ bionic-security main universe' >>/etc/apt/sources.list \
+ && echo 'APT::Install-Recommends "false";' >/etc/apt/apt.conf.d/02-norecommends \
+ && apt-get update -q \
+ && apt-get install -y -q tzdata gnupg2 \
+ && apt-get upgrade -y -q \
+ && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
+
+COPY common/helsinki_repo.pub /tmp
+RUN set -x \
+ && echo 'deb http://build.helsinki.at/ bionic main' >>/etc/apt/sources.list.d/helsinki.list \
+ && apt-key add /tmp/helsinki_repo.pub \
+ && apt-get update -q \
+ && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*
+
+RUN set -x \
+ && echo "Europe/Vienna" > /etc/timezone \
+ && dpkg-reconfigure -f noninteractive tzdata
+
+COPY common/bin/tini /usr/local/bin/
+
+ENTRYPOINT ["tini", "--"]